# PulpCertguardClient::ContentguardsRhsmApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](ContentguardsRhsmApi.md#create) | **POST** /pulp/api/v3/contentguards/certguard/rhsm/ | Create a rhsm cert guard
[**delete**](ContentguardsRhsmApi.md#delete) | **DELETE** {certguard_r_h_s_m_cert_guard_href} | Delete a rhsm cert guard
[**list**](ContentguardsRhsmApi.md#list) | **GET** /pulp/api/v3/contentguards/certguard/rhsm/ | List rhsm cert guards
[**partial_update**](ContentguardsRhsmApi.md#partial_update) | **PATCH** {certguard_r_h_s_m_cert_guard_href} | Update a rhsm cert guard
[**read**](ContentguardsRhsmApi.md#read) | **GET** {certguard_r_h_s_m_cert_guard_href} | Inspect a rhsm cert guard
[**update**](ContentguardsRhsmApi.md#update) | **PUT** {certguard_r_h_s_m_cert_guard_href} | Update a rhsm cert guard



## create

> CertguardRHSMCertGuardResponse create(certguard_rhsm_cert_guard)

Create a rhsm cert guard

RHSMCertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsRhsmApi.new
certguard_rhsm_cert_guard = PulpCertguardClient::CertguardRHSMCertGuard.new # CertguardRHSMCertGuard | 

begin
  #Create a rhsm cert guard
  result = api_instance.create(certguard_rhsm_cert_guard)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsRhsmApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_rhsm_cert_guard** | [**CertguardRHSMCertGuard**](CertguardRHSMCertGuard.md)|  | 

### Return type

[**CertguardRHSMCertGuardResponse**](CertguardRHSMCertGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## delete

> delete(certguard_r_h_s_m_cert_guard_href)

Delete a rhsm cert guard

RHSMCertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsRhsmApi.new
certguard_r_h_s_m_cert_guard_href = 'certguard_r_h_s_m_cert_guard_href_example' # String | 

begin
  #Delete a rhsm cert guard
  api_instance.delete(certguard_r_h_s_m_cert_guard_href)
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsRhsmApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_r_h_s_m_cert_guard_href** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> InlineResponse200 list(opts)

List rhsm cert guards

RHSMCertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsRhsmApi.new
opts = {
  limit: 56, # Integer | Number of results to return per page.
  name: 'name_example', # String | name
  name__in: 'name__in_example', # String | name__in
  offset: 56, # Integer | The initial index from which to return the results.
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List rhsm cert guards
  result = api_instance.list(opts)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsRhsmApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **name** | **String**| name | [optional] 
 **name__in** | **String**| name__in | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**InlineResponse200**](InlineResponse200.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> CertguardRHSMCertGuardResponse partial_update(certguard_r_h_s_m_cert_guard_href, patchedcertguard_rhsm_cert_guard)

Update a rhsm cert guard

RHSMCertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsRhsmApi.new
certguard_r_h_s_m_cert_guard_href = 'certguard_r_h_s_m_cert_guard_href_example' # String | 
patchedcertguard_rhsm_cert_guard = PulpCertguardClient::PatchedcertguardRHSMCertGuard.new # PatchedcertguardRHSMCertGuard | 

begin
  #Update a rhsm cert guard
  result = api_instance.partial_update(certguard_r_h_s_m_cert_guard_href, patchedcertguard_rhsm_cert_guard)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsRhsmApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_r_h_s_m_cert_guard_href** | **String**|  | 
 **patchedcertguard_rhsm_cert_guard** | [**PatchedcertguardRHSMCertGuard**](PatchedcertguardRHSMCertGuard.md)|  | 

### Return type

[**CertguardRHSMCertGuardResponse**](CertguardRHSMCertGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json


## read

> CertguardRHSMCertGuardResponse read(certguard_r_h_s_m_cert_guard_href, opts)

Inspect a rhsm cert guard

RHSMCertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsRhsmApi.new
certguard_r_h_s_m_cert_guard_href = 'certguard_r_h_s_m_cert_guard_href_example' # String | 
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a rhsm cert guard
  result = api_instance.read(certguard_r_h_s_m_cert_guard_href, opts)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsRhsmApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_r_h_s_m_cert_guard_href** | **String**|  | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**CertguardRHSMCertGuardResponse**](CertguardRHSMCertGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> CertguardRHSMCertGuardResponse update(certguard_r_h_s_m_cert_guard_href, certguard_rhsm_cert_guard)

Update a rhsm cert guard

RHSMCertGuard API Viewsets.

### Example

```ruby
# load the gem
require 'pulp_certguard_client'
# setup authorization
PulpCertguardClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpCertguardClient::ContentguardsRhsmApi.new
certguard_r_h_s_m_cert_guard_href = 'certguard_r_h_s_m_cert_guard_href_example' # String | 
certguard_rhsm_cert_guard = PulpCertguardClient::CertguardRHSMCertGuard.new # CertguardRHSMCertGuard | 

begin
  #Update a rhsm cert guard
  result = api_instance.update(certguard_r_h_s_m_cert_guard_href, certguard_rhsm_cert_guard)
  p result
rescue PulpCertguardClient::ApiError => e
  puts "Exception when calling ContentguardsRhsmApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **certguard_r_h_s_m_cert_guard_href** | **String**|  | 
 **certguard_rhsm_cert_guard** | [**CertguardRHSMCertGuard**](CertguardRHSMCertGuard.md)|  | 

### Return type

[**CertguardRHSMCertGuardResponse**](CertguardRHSMCertGuardResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: application/json, application/x-www-form-urlencoded, multipart/form-data
- **Accept**: application/json

